from fastapi import FastAPI, status
from fastapi.responses import RedirectResponse

from routers import question, documents

import logging
from config import config, initLogger, initEnvironment, initWeviate

initEnvironment()
initLogger()

# Init weaviate, if not done already
initWeviate()

app = FastAPI()

app.include_router(question.router)
app.include_router(documents.router)

@app.get("/")
async def root():
    """
    Redirects to the docs page
    """
    return RedirectResponse(url="/docs", status_code=status.HTTP_303_SEE_OTHER)
