from fastapi import APIRouter
from pydantic import BaseModel

router = APIRouter(
    prefix="/question",
    tags=["question"],
    responses={404: {"description": "Not found"}}
    )

class Question(BaseModel):
    question: str
    max_response: int = 128

@router.post("/")
async def ask_question(question: Question):
    return {"message": f"Hello question! {question.question}"}

@router.post("/{conversation_id}}")
async def ask_question(question: Question, conversation_id: str):
    return {"message": f"Hello question {conversation_id}!"}

@router.get("/{conversation_id}}")
async def get_question_history(conversation_id: str):
    return {"message": f"Hello question {conversation_id}!"}
